Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client
Class Tile

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  com.maryanovsky.map.client.Tile

All Implemented Interfaces:
  HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsRenderable, IsWidget

Direct Known Subclasses:
  ImageTile, NodeTile

    public abstract class Tile

extends Composite

The interface for implementing map tiles. This is an abstract class rather than an interface because tiles must be `Widget`s, and by subclassing `Composite`, we allow a subclass to implement a tile using any actual widget it chooses.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`Tile()`

Method Summary
`abstract void` | `cancelLoading()` If the tile is currently being loaded, cancels loading it.
`boolean` | `isReady()` Returns whether this tile is currently ready.
`protected void` | `markReady()` Marks the tile as ready and notifies our ready listener, if any.
`protected void` | `markUnready()` Marks the tile as unready and notifies our ready listener, if any.
`void` | `setReadyListener(ReadyListener<Tile> readyListener)` Sets the specified `ReadyListener` to be notified when the tile starts and finishes loading.
`abstract void` | `setTileSizePixels(SizeView tileSize)` Sets the size of the tile, in pixels.
`abstract void` | `startLoading()` Marks the tile as unready and starts loading it.

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tile

    public Tile()

Method Detail

### setReadyListener

    public void setReadyListener(ReadyListener<Tile> readyListener)

  Sets the specified `ReadyListener` to be notified when the tile starts and finishes loading.

### isReady

    public boolean isReady()

  Returns whether this tile is currently ready. For image-based tiles, for example, this means that all the images comprising the tile have been loaded.

### markUnready

    protected void markUnready()

  Marks the tile as unready and notifies our ready listener, if any. This method is expected to be called by the concrete subclass when the tile becomes unready or just before it starts loading.

### markReady

    protected void markReady()

  Marks the tile as ready and notifies our ready listener, if any. This method is expected to be called by the concrete subclass when the tile becomes ready.

### startLoading

    public abstract void startLoading()

  Marks the tile as unready and starts loading it. When done, marks the tile as ready.

### cancelLoading

    public abstract void cancelLoading()

  If the tile is currently being loaded, cancels loading it.

### setTileSizePixels

    public abstract void setTileSizePixels(SizeView tileSize)

  Sets the size of the tile, in pixels. This should stretch/compress the content of the tile to the specified size. A `null` value resets it to the default size, if applicable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD